//******************************************************************************
//  _____                  _    _             __
// |  _  |                | |  | |           / _|
// | | | |_ __   ___ _ __ | |  | | __ _ _ __| |_ __ _ _ __ ___
// | | | | '_ \ / _ \ '_ \| |/\| |/ _` | '__|  _/ _` | '__/ _ \
// \ \_/ / |_) |  __/ | | \  /\  / (_| | |  | || (_| | | |  __/
//  \___/| .__/ \___|_| |_|\/  \/ \__,_|_|  |_| \__,_|_|  \___|
//       | |               We don't make the game you play.
//       |_|                 We make the game you play BETTER.
//
//            Website: http://openwarfaremod.com/
//******************************************************************************
// SCORING SYSTEM OPTIONS
// ALL VARIABLES WORK IN RANKED AND UNRANKED MODES
//******************************************************************************
// PLEASE REMEMBER TO UNCOMMENT THE LINES BY REMOVING THE DOUBLE SLASHES (//)
// WHEN CHANGING A VALUE. PLEASE DO NOT UNCOMMENT LINES SET TO DEFAULT VALUES.
//******************************************************************************

// NOTE: Open Warfare 2 always uses the OW score system.

// Decide if team kills should negatively affect the team's score
// 0 = Disabled (default), 1 = Enabled
// set scr_score_tk_affects_teamscore "0"


//******************************************************************************
// SCORES FOR KILLS
// Allowed values: 0-50 (default is 10 in team based games and 5 in non-team based games)
//******************************************************************************
// set scr_score_standard_kill "10"
// set scr_score_melee_kill "10"
// set scr_score_grenade_kill "10"
// set scr_score_vehicle_explosion_kill "10"
// set scr_score_barrel_explosion_kill "10"
// set scr_score_c4_kill "10"
// set scr_score_claymore_kill "10"
// set scr_score_rpg_kill "10"
// set scr_score_grenade_launcher_kill "10"
// set scr_score_airstrike_kill "10"
// set scr_score_helicopter_kill "10"
// set scr_score_streak_kill "10" //generic kill score used by streak weapons


//******************************************************************************
// SCORE FOR ASSIST KILLS
// Allowed values: 0-50 (default values set)
//******************************************************************************
// set scr_score_assist_kill "2"
// set scr_score_assist_25_kill "3"
// set scr_score_assist_50_kill "4"
// set scr_score_assist_75_kill "5"


//******************************************************************************
// DEATH, SUICIDE, AND TEAMKILL POINT LOSSES
// Allowed values: -50-0 (default values set)
//******************************************************************************
// set scr_score_player_death "0"
// set scr_score_player_suicide "0"
// set scr_score_player_teamkill "-50"

//******************************************************************************
// GAME ACTION SCORES
// Allowed values: 0-50 (default values set)
// Some gametypes do not yet have their own score values.
//******************************************************************************
// set scr_score_hardpoint_used "10"
// set scr_score_shot_down_helicopter "10" //player weapons such as lmg and rpg
// set scr_score_capture_objective "30" //NO
// set scr_score_take_objective "7" //NO
// set scr_score_return_objective "7" //NO
// set scr_score_defend_objective "30" //USED????
// set scr_score_holding_objective "2" //Yes
// set scr_score_kill_carrier_objective"5" //No
// set scr_score_assault_objective "5" //yes
// set scr_score_plant_bomb "20" NO LONGER USED
// set scr_score_defuse_bomb "15" NO LONGER USED

//*****************************************************************************
// Capture the flag
// some are used but others use standard objective scores
//*****************************************************************************
set scr_score_ctftaken "10"
set scr_score_ctfreturn "10"
set scr_score_ctfdefend "10"
set scr_score_ctfcapture "10"
set scr_score_ctfattack "10"

//*****************************************************************************
//Sabotage and Search & Destroy
// there are scores for these but all use a common objective score.
//*****************************************************************************
// set scr_score_bombdown "10" //no
// set scr_score_bombdefender "10" //no
// set scr_score_bombplanter "10" //no
// set scr_score_bombcarrier "10" //no

//*****************************************************************************
// VIP
//*****************************************************************************
// set scr_score_vipkilled "20"
// set scr_score_vipoffense "20"
// set scr_score_vipclear "20"
// set scr_score_vipdefend "20"

//*****************************************************************************
// Greed and Team Greed
//Not used: denied, secured, pickup all use standard objective scores.
//*****************************************************************************
// set scr_score_greeddefender "10"
// set scr_score_greedsecured "10"
// set scr_score_greedpickup "10"


//*****************************************************************************
//killstreaks. range 0-50
//*****************************************************************************
set scr_score_sentryace "10"
set scr_score_sentrymultikill "10"
set scr_score_nukemultikill "10"
set scr_score_carpetbomb "10"
set scr_score_rcmultikill "10"
set scr_score_rcdestroyed "10"
set scr_score_turret_destroyed "10"
set scr_score_carepackage_destroyed "10" //is this used?
set scr_score_sam_kill "10" //SAM vehicle kills
set scr_score_tacticalnuke_used "50"


// Base score for giving a care package to a friendly (or stolen by a friendly) multiplied by streak requirement
set scr_score_carepackage_shared "10"

//*****************************************************************************
// GAME EQUIPMENT KILLS
// Allowed values: 0-50 (all defaults 0)
//*****************************************************************************




//******************************************************************************
// Achievements and Medals
// See readme for all medals and their descriptions
// All medals use standard base score. Multikill medals are applied for each enemy killed.
// Default score is 5 and range is 0-10 for all medals unless otherwise stated.
//******************************************************************************

// Set to 1 to disable all special bonuses. Default is 0. NOT YET ENABLED
// set scr_score_no_bonus "0"

// Standard Medals: Avenger, backstabber etc
// set scr_score_standard_bonus "5" //range 0-25

// How many points to award for kills in objective games (assault/defend etc).
// set scr_score_kills_objectives "5"

// One Shot One Kill
// In hardcore games since every shot is OSOK it is recommended to disable this bonus.
// set scr_score_osok "5"
// set scr_score_osok_pro "10"
// set scr_score_osok_expert "15"

// Player weapon and streak multikills. Bonus amount is multiplied by the number of enemy kills.
// set scr_score_explosive_multikills "5"
// set scr_score_killstreak_multikills "5"

// Objectives such as taking the flag in ctf or picking up dogtags in greed. Range 0-50
// Partial objectives are time based such as capturing the flag in domination.
// set scr_score_objectives "5"
// set scr_score_timed_objectives "1"

// Multikill streaks require one kill every three seconds to maintain.
// Each multikill is one more than the one before it. Doublekill is 2 kills. Hattrick is 3 and so on.
// Multikill(score): doublekill(5), hattrick(10), multikill(15), megakill(20), ultrakill(25), monsterkill(50), holyshit(100)
// set scr_multikill_score_modifier "10" //Default 1, Range 1-10.

// Each spree requires 5 kills more than the one before it, starting at 5 kills.
// killingspree(score): killingspree(25), rampage(50), dominating(75), unstoppable(100), godlike(125), wickedsick(150)
// set scr_killingspree_score_modifier "10" //Default 1, Range 1-10.

// Disable Multikill ("doublekill!"), Killingspree ("Dominating!") and bonus ("Avenger") dialogs and/or sounds.
// Since there are no sounds to play duration is shorter. Useful in fast moving games. Default is 0.
// Exception: multikill duration, even with no sound, is always a three second fadeout.
set scr_disable_bonus_sound "1"
// set scr_disable_firstbloood_sound "1"
set scr_disable_killingspree_sound "1"
set scr_disable_multikill_sound "1"
// set scr_disable_hardpoint_sound "1"
